TYPO3 Core - Task #89804

Update frontend build stack
2019-11-29 13:38 - Andreas Fernandez

Status: Closed Start date: 2019-11-29
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

TYPO3 Version: 10 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

Associated revisions

Revision 98¢58a00 - 2019-12-06 13:32 - Andreas Fernandez
[TASK] Update build stack

All frontend stack related packages get updated to their latest version
and a full build is generated.

Executed commands:

yarn add \
typescript-eslint/eslint-plugin”®2.10.0 \
typescript-eslint/parser”2.10.0 \
typescript-eslint/typescript-estree”2.10.0 \
autoprefixer@”9.7.3 \
eslint@”"6.7.2 \
grunt-stylelint@"0.12.0 \
grunt-terser@”1.0.0 \
karma@”~4.4.1 \
node-sass@74.13.0 \
typescript@”3.7.2 —--dev

yarn build

Resolves: #89804

Releases: master

Change-Id: 148f00a01fb4191b39e76e0859d1f1476644ad07b
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/62486
Tested-by: TYPO3com <noreply@typo3.com>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Richard Haeser <richard@maxserv.com>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Richard Haeser <richard@maxserv.com>

History

#1 - 2019-11-29 13:38 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/62486

#2 - 2019-11-29 13:47 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/62486

#3 - 2019-12-03 13:19 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/62486
#4 - 2019-12-03 13:23 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/62486

#5 - 2019-12-03 13:23 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review. .org/c/Pack: TYPO3.CMS/+/624

#6 - 2019-12-06 14:00 - Andreas Fernandez
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 98c58a00c020bd9a5095007e9822e1b2ff3b7668.

#7 - 2019-12-23 22:44 - Benni Mack

- Status changed from Resolved to Closed
